Repurpose
Suggest up to three source-grounded clips for review
POST
/repurpose-suggestionsAuthorizationBearer <token>
In: header
Header Parameters
Idempotency-Key*string
Length
8 <= length <= 160Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/repurpose-suggestions" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "source": { "audio_track_index": 0, "duration": 1, "id": "string", "revision": "string", "words": [ { "end": 0, "start": 0, "text": "string" } ] }, "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/ClipSuggestions.json", "candidates": [ { "context_warning": "string", "end": 0.1, "first_word": 0, "id": "string", "last_word": 0, "rationale": "string", "start": 0.1, "title": "string" } ], "error_message": "string", "id": "string", "revision": 0, "source_id": "string", "source_revision": "string", "state": "queued", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string"}